f5b9e8edc35c4af87ea200d6eaedecd57cf74e6d
[debian/amanda] / device-src / Makefile.in
1 # Makefile.in generated by automake 1.11 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Makefile for Amanda tape library.
19
20 # vim:ft=automake
21 # Copyright (c) 2005-2008 Zmanda Inc.  All Rights Reserved.
22
23 # This library is free software; you can redistribute it and/or modify it
24 # under the terms of the GNU Lesser General Public License version 2.1 as 
25 # published by the Free Software Foundation.
26
27 # This library is distributed in the hope that it will be useful, but
28 # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
29 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
30 # License for more details.
31
32 # You should have received a copy of the GNU Lesser General Public License
33 # along with this library; if not, write to the Free Software Foundation,
34 # Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA.
35
36 # Contact information: Zmanda Inc., 465 S Mathlida Ave, Suite 300
37 # Sunnyvale, CA 94086, USA, or: http://www.zmanda.com
38
39 # simple include file to pre-define variables which are then +='d by other
40 # scripts in this directory.
41
42 # vim:ft=automake
43 # Copyright (c) 2005-2008 Zmanda Inc.  All Rights Reserved.
44
45 # This library is free software; you can redistribute it and/or modify it
46 # under the terms of the GNU Lesser General Public License version 2.1 as 
47 # published by the Free Software Foundation.
48
49 # This library is distributed in the hope that it will be useful, but
50 # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
51 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
52 # License for more details.
53
54 # You should have received a copy of the GNU Lesser General Public License
55 # along with this library; if not, write to the Free Software Foundation,
56 # Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA.
57
58 # Contact information: Zmanda Inc., 465 S Mathlida Ave, Suite 300
59 # Sunnyvale, CA 94086, USA, or: http://www.zmanda.com
60
61 # SYNOPSIS:
62 #
63 # Automake magic to handle the various tasks of building scripts.  Scripts can
64 # be built down to extensionless executables (e.g., foo.pl -> foo), or to 
65 # files with the usual extension (foo-lib.sh.in -> foo.sh).
66 #
67 # Files which support it are syntax-checked when the user invokes 'make check'.
68 #
69 # All *target* filenames must be listed in SCRIPTS_SHELL, SCRIPTS_PERL, and 
70 # SCRIPTS_AWK to support 'make check', 'make dist', and 'make distclean'. No
71 # files which are not substituted by config.status should be included in
72 # SCRIPTS_PERL, SCRIPTS_SHELL, or SCRIPTS_AWK.  If non-generated files are listed
73 # for installation, then Automake will figure out that they should be distributed;
74 # otherwise, include them in EXTRA_DIST.
75 #
76 # USAGE:
77 #
78 #   include $(top_srcdir)/config/automake/vars.am
79 #   include $(top_srcdir)/config/automake/scripts.am
80 #   ...
81 #   SCRIPTS_PERL = fooscript barscript perl-lib.pl perlmod.pm
82 #   SCRIPTS_SHELL = shell1 shell2 sh-lib.sh
83 #   SCRIPTS_AWK = talk balk chalk awk-lib.awk
84 #   sbin_SCRIPTS = not-subbed
85 #   EXTRA_DIST = util-script.pl
86 #
87 # with the corresponding files in the repository:
88 #
89 #   fooscript.pl barscript.pl perl-lib.pl.in perlmod.pm.in
90 #   shell1.sh shell2.sh sh-lib.sh.in
91 #   talk.awk balk.awk chalk.awk awk-lib.awk.in
92 #   not-subbed util-script.pl
93 #
94 # by default, all shell and perl scripts are syntax checked.  If this is
95 # a problem (for example, perl scripts depending on Amanda extension 
96 # modules), then assign to CHECK_{PERL,SHELL} the list of files you wish
97 # to be checked (which can be empty).
98 #
99 # To add extra flags to the perl checks (e.g., to add new -I flags), set
100 # CHECK_PERL_FLAGS.
101
102 # Implementation note:
103 #
104 # This file uses config.status to substitute @foo@ in those scripts while
105 # converting them. It also adds the executable bits (a+x) to extensionless
106 # files.  The substitution works even though the files are not listed in 
107 # configure.in
108
109 # vim:ft=automake
110
111
112
113
114 VPATH = @srcdir@
115 pkgdatadir = $(datadir)/@PACKAGE@
116 pkgincludedir = $(includedir)/@PACKAGE@
117 pkglibdir = $(libdir)/@PACKAGE@
118 pkglibexecdir = $(libexecdir)/@PACKAGE@
119 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
120 install_sh_DATA = $(install_sh) -c -m 644
121 install_sh_PROGRAM = $(install_sh) -c
122 install_sh_SCRIPT = $(install_sh) -c
123 INSTALL_HEADER = $(INSTALL_DATA)
124 transform = $(program_transform_name)
125 NORMAL_INSTALL = :
126 PRE_INSTALL = :
127 POST_INSTALL = :
128 NORMAL_UNINSTALL = :
129 PRE_UNINSTALL = :
130 POST_UNINSTALL = :
131 build_triplet = @build@
132 host_triplet = @host@
133 target_triplet = @target@
134 DIST_COMMON = $(aminclude_HEADERS) $(noinst_HEADERS) \
135         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
136         $(top_srcdir)/config/automake/precompile.am \
137         $(top_srcdir)/config/automake/scripts.am \
138         $(top_srcdir)/config/automake/vars.am
139 sbin_PROGRAMS = $(am__EXEEXT_2)
140
141 # tape-device has *lots* of conditionals; the first is whether to support
142 # the device at all, and the remainder select a particular kind of OS-specific
143 # backend.
144 @WANT_TAPE_DEVICE_TRUE@am__append_1 = tape-device.c
145 @WANT_TAPE_DEVICE_TRUE@@WANT_TAPE_XENIX_TRUE@am__append_2 = tape-xenix.c
146 @WANT_TAPE_AIX_TRUE@@WANT_TAPE_DEVICE_TRUE@am__append_3 = tape-aix.c
147 @WANT_TAPE_DEVICE_TRUE@@WANT_TAPE_UWARE_TRUE@am__append_4 = tape-uware.c
148 @WANT_TAPE_DEVICE_TRUE@@WANT_TAPE_POSIX_TRUE@am__append_5 = tape-posix.c
149 @WANT_S3_DEVICE_TRUE@am__append_6 = s3-device.c s3.c s3-util.c
150 TESTS = vfs-test$(EXEEXT)
151 noinst_PROGRAMS = $(am__EXEEXT_1)
152 @WANT_S3_DEVICE_TRUE@am__append_7 = activate-devpay
153 subdir = device-src
154 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
155 am__aclocal_m4_deps =  \
156         $(top_srcdir)/config/macro-archive/ac_define_dir.m4 \
157         $(top_srcdir)/config/macro-archive/ac_perl_module_version.m4 \
158         $(top_srcdir)/config/macro-archive/ac_prog_perl_version.m4 \
159         $(top_srcdir)/config/macro-archive/ac_prog_swig.m4 \
160         $(top_srcdir)/config/macro-archive/ax_compare_version.m4 \
161         $(top_srcdir)/config/macro-archive/docbook-dtd.m4 \
162         $(top_srcdir)/config/macro-archive/docbook-xslt-min.m4 \
163         $(top_srcdir)/config/macro-archive/docbook-xslt.m4 \
164         $(top_srcdir)/config/macro-archive/xsltproc.m4 \
165         $(top_srcdir)/config/amanda/amplot.m4 \
166         $(top_srcdir)/config/amanda/bsd-security.m4 \
167         $(top_srcdir)/config/amanda/bsdtcp-security.m4 \
168         $(top_srcdir)/config/amanda/bsdudp-security.m4 \
169         $(top_srcdir)/config/amanda/changer.m4 \
170         $(top_srcdir)/config/amanda/components.m4 \
171         $(top_srcdir)/config/amanda/compress.m4 \
172         $(top_srcdir)/config/amanda/config.m4 \
173         $(top_srcdir)/config/amanda/debugging.m4 \
174         $(top_srcdir)/config/amanda/defaults.m4 \
175         $(top_srcdir)/config/amanda/devprefix.m4 \
176         $(top_srcdir)/config/amanda/dirs.m4 \
177         $(top_srcdir)/config/amanda/documentation.m4 \
178         $(top_srcdir)/config/amanda/dumpers.m4 \
179         $(top_srcdir)/config/amanda/flags.m4 \
180         $(top_srcdir)/config/amanda/flock.m4 \
181         $(top_srcdir)/config/amanda/funcs.m4 \
182         $(top_srcdir)/config/amanda/getfsent.m4 \
183         $(top_srcdir)/config/amanda/i18n.m4 \
184         $(top_srcdir)/config/amanda/ipv6.m4 \
185         $(top_srcdir)/config/amanda/krb4-security.m4 \
186         $(top_srcdir)/config/amanda/krb5-security.m4 \
187         $(top_srcdir)/config/amanda/lfs.m4 \
188         $(top_srcdir)/config/amanda/libs.m4 \
189         $(top_srcdir)/config/amanda/net.m4 \
190         $(top_srcdir)/config/amanda/progs.m4 \
191         $(top_srcdir)/config/amanda/ps.m4 \
192         $(top_srcdir)/config/amanda/readdir.m4 \
193         $(top_srcdir)/config/amanda/readline.m4 \
194         $(top_srcdir)/config/amanda/rsh-security.m4 \
195         $(top_srcdir)/config/amanda/s3-device.m4 \
196         $(top_srcdir)/config/amanda/shmem.m4 \
197         $(top_srcdir)/config/amanda/socklen_t_equiv.m4 \
198         $(top_srcdir)/config/amanda/ssh-security.m4 \
199         $(top_srcdir)/config/amanda/summary.m4 \
200         $(top_srcdir)/config/amanda/swig.m4 \
201         $(top_srcdir)/config/amanda/syshacks.m4 \
202         $(top_srcdir)/config/amanda/tape.m4 \
203         $(top_srcdir)/config/amanda/types.m4 \
204         $(top_srcdir)/config/amanda/userid.m4 \
205         $(top_srcdir)/config/amanda/version.m4 \
206         $(top_srcdir)/config/gnulib/alloca.m4 \
207         $(top_srcdir)/config/gnulib/arpa_inet_h.m4 \
208         $(top_srcdir)/config/gnulib/base64.m4 \
209         $(top_srcdir)/config/gnulib/eoverflow.m4 \
210         $(top_srcdir)/config/gnulib/extensions.m4 \
211         $(top_srcdir)/config/gnulib/float_h.m4 \
212         $(top_srcdir)/config/gnulib/fsusage.m4 \
213         $(top_srcdir)/config/gnulib/getaddrinfo.m4 \
214         $(top_srcdir)/config/gnulib/getopt.m4 \
215         $(top_srcdir)/config/gnulib/gettimeofday.m4 \
216         $(top_srcdir)/config/gnulib/gnulib-common.m4 \
217         $(top_srcdir)/config/gnulib/gnulib-comp.m4 \
218         $(top_srcdir)/config/gnulib/include_next.m4 \
219         $(top_srcdir)/config/gnulib/inet_ntop.m4 \
220         $(top_srcdir)/config/gnulib/intmax_t.m4 \
221         $(top_srcdir)/config/gnulib/lock.m4 \
222         $(top_srcdir)/config/gnulib/longlong.m4 \
223         $(top_srcdir)/config/gnulib/malloc.m4 \
224         $(top_srcdir)/config/gnulib/mkdtemp.m4 \
225         $(top_srcdir)/config/gnulib/netinet_in_h.m4 \
226         $(top_srcdir)/config/gnulib/onceonly_2_57.m4 \
227         $(top_srcdir)/config/gnulib/physmem.m4 \
228         $(top_srcdir)/config/gnulib/safe-read.m4 \
229         $(top_srcdir)/config/gnulib/safe-write.m4 \
230         $(top_srcdir)/config/gnulib/snprintf.m4 \
231         $(top_srcdir)/config/gnulib/socklen.m4 \
232         $(top_srcdir)/config/gnulib/sockpfaf.m4 \
233         $(top_srcdir)/config/gnulib/ssize_t.m4 \
234         $(top_srcdir)/config/gnulib/stdbool.m4 \
235         $(top_srcdir)/config/gnulib/stdint.m4 \
236         $(top_srcdir)/config/gnulib/stdio_h.m4 \
237         $(top_srcdir)/config/gnulib/stdlib_h.m4 \
238         $(top_srcdir)/config/gnulib/strdup.m4 \
239         $(top_srcdir)/config/gnulib/string_h.m4 \
240         $(top_srcdir)/config/gnulib/sys_socket_h.m4 \
241         $(top_srcdir)/config/gnulib/sys_stat_h.m4 \
242         $(top_srcdir)/config/gnulib/sys_time_h.m4 \
243         $(top_srcdir)/config/gnulib/tempname.m4 \
244         $(top_srcdir)/config/gnulib/unistd_h.m4 \
245         $(top_srcdir)/config/gnulib/vasnprintf.m4 \
246         $(top_srcdir)/config/gnulib/visibility.m4 \
247         $(top_srcdir)/config/gnulib/wchar.m4 \
248         $(top_srcdir)/config/gettext-macros/gettext.m4 \
249         $(top_srcdir)/config/gettext-macros/iconv.m4 \
250         $(top_srcdir)/config/gettext-macros/inttypes_h.m4 \
251         $(top_srcdir)/config/gettext-macros/lib-ld.m4 \
252         $(top_srcdir)/config/gettext-macros/lib-link.m4 \
253         $(top_srcdir)/config/gettext-macros/lib-prefix.m4 \
254         $(top_srcdir)/config/gettext-macros/nls.m4 \
255         $(top_srcdir)/config/gettext-macros/po.m4 \
256         $(top_srcdir)/config/gettext-macros/progtest.m4 \
257         $(top_srcdir)/config/gettext-macros/size_max.m4 \
258         $(top_srcdir)/config/gettext-macros/stdint_h.m4 \
259         $(top_srcdir)/config/gettext-macros/wchar_t.m4 \
260         $(top_srcdir)/config/gettext-macros/wint_t.m4 \
261         $(top_srcdir)/config/gettext-macros/xsize.m4 \
262         $(top_srcdir)/config/libtool.m4 $(top_srcdir)/configure.in
263 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
264         $(ACLOCAL_M4)
265 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
266 CONFIG_HEADER = $(top_builddir)/config/config.h
267 CONFIG_CLEAN_FILES =
268 CONFIG_CLEAN_VPATH_FILES =
269 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
270 am__vpath_adj = case $$p in \
271     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
272     *) f=$$p;; \
273   esac;
274 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
275 am__install_max = 40
276 am__nobase_strip_setup = \
277   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
278 am__nobase_strip = \
279   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
280 am__nobase_list = $(am__nobase_strip_setup); \
281   for p in $$list; do echo "$$p $$p"; done | \
282   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
283   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
284     if (++n[$$2] == $(am__install_max)) \
285       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
286     END { for (dir in files) print dir, files[dir] }'
287 am__base_list = \
288   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
289   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
290 am__installdirs = "$(DESTDIR)$(amlibdir)" "$(DESTDIR)$(sbindir)" \
291         "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(amincludedir)"
292 LTLIBRARIES = $(amlib_LTLIBRARIES)
293 libamdevice_la_DEPENDENCIES = ../common-src/libamanda.la
294 am__libamdevice_la_SOURCES_DIST = property.c device.c \
295         device-queueing.c null-device.c rait-device.c vfs-device.c \
296         tape-device.c tape-xenix.c tape-aix.c tape-uware.c \
297         tape-posix.c s3-device.c s3.c s3-util.c
298 @WANT_TAPE_DEVICE_TRUE@am__objects_1 = tape-device.lo
299 @WANT_TAPE_DEVICE_TRUE@@WANT_TAPE_XENIX_TRUE@am__objects_2 =  \
300 @WANT_TAPE_DEVICE_TRUE@@WANT_TAPE_XENIX_TRUE@   tape-xenix.lo
301 @WANT_TAPE_AIX_TRUE@@WANT_TAPE_DEVICE_TRUE@am__objects_3 =  \
302 @WANT_TAPE_AIX_TRUE@@WANT_TAPE_DEVICE_TRUE@     tape-aix.lo
303 @WANT_TAPE_DEVICE_TRUE@@WANT_TAPE_UWARE_TRUE@am__objects_4 =  \
304 @WANT_TAPE_DEVICE_TRUE@@WANT_TAPE_UWARE_TRUE@   tape-uware.lo
305 @WANT_TAPE_DEVICE_TRUE@@WANT_TAPE_POSIX_TRUE@am__objects_5 =  \
306 @WANT_TAPE_DEVICE_TRUE@@WANT_TAPE_POSIX_TRUE@   tape-posix.lo
307 @WANT_S3_DEVICE_TRUE@am__objects_6 = s3-device.lo s3.lo s3-util.lo
308 am_libamdevice_la_OBJECTS = property.lo device.lo device-queueing.lo \
309         null-device.lo rait-device.lo vfs-device.lo $(am__objects_1) \
310         $(am__objects_2) $(am__objects_3) $(am__objects_4) \
311         $(am__objects_5) $(am__objects_6)
312 libamdevice_la_OBJECTS = $(am_libamdevice_la_OBJECTS)
313 libamdevice_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
314         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
315         $(libamdevice_la_LDFLAGS) $(LDFLAGS) -o $@
316 am__EXEEXT_1 = vfs-test$(EXEEXT)
317 @WANT_S3_DEVICE_TRUE@am__EXEEXT_2 = activate-devpay$(EXEEXT)
318 PROGRAMS = $(noinst_PROGRAMS) $(sbin_PROGRAMS)
319 am__activate_devpay_SOURCES_DIST = activate-devpay.c
320 @WANT_S3_DEVICE_TRUE@am_activate_devpay_OBJECTS =  \
321 @WANT_S3_DEVICE_TRUE@   activate-devpay.$(OBJEXT)
322 activate_devpay_OBJECTS = $(am_activate_devpay_OBJECTS)
323 activate_devpay_LDADD = $(LDADD)
324 am_vfs_test_OBJECTS = vfs-test.$(OBJEXT)
325 vfs_test_OBJECTS = $(am_vfs_test_OBJECTS)
326 vfs_test_DEPENDENCIES = ../common-src/libtestutils.la libamdevice.la
327 SCRIPTS = $(sbin_SCRIPTS)
328 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/config
329 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
330 am__depfiles_maybe = depfiles
331 am__mv = mv -f
332 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
333         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
334 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
335         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
336         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
337 CCLD = $(CC)
338 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
339         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
340         $(LDFLAGS) -o $@
341 SOURCES = $(libamdevice_la_SOURCES) $(activate_devpay_SOURCES) \
342         $(vfs_test_SOURCES)
343 DIST_SOURCES = $(am__libamdevice_la_SOURCES_DIST) \
344         $(am__activate_devpay_SOURCES_DIST) $(vfs_test_SOURCES)
345 HEADERS = $(aminclude_HEADERS) $(noinst_HEADERS)
346 ETAGS = etags
347 CTAGS = ctags
348 am__tty_colors = \
349 red=; grn=; lgn=; blu=; std=
350 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
351 ACLOCAL = @ACLOCAL@
352 AIX_BACKUP = @AIX_BACKUP@
353 ALLOCA = @ALLOCA@
354 ALLOCA_H = @ALLOCA_H@
355 AMANDA_DBGDIR = @AMANDA_DBGDIR@
356 AMANDA_DEBUG_DAYS = @AMANDA_DEBUG_DAYS@
357 AMANDA_STATIC_LDFLAGS = @AMANDA_STATIC_LDFLAGS@
358 AMANDA_TMPDIR = @AMANDA_TMPDIR@
359 AMANDA_WARNING_CFLAGS = @AMANDA_WARNING_CFLAGS@
360 AMLINT = @AMLINT@
361 AMLINTFLAGS = @AMLINTFLAGS@
362 AMPLOT_CAT_COMPRESS = @AMPLOT_CAT_COMPRESS@
363 AMPLOT_CAT_GZIP = @AMPLOT_CAT_GZIP@
364 AMPLOT_CAT_PACK = @AMPLOT_CAT_PACK@
365 AMPLOT_COMPRESS = @AMPLOT_COMPRESS@
366 AMTAR = @AMTAR@
367 APPLICATION_DIR = @APPLICATION_DIR@
368 AR = @AR@
369 ARPA_INET_H = @ARPA_INET_H@
370 ASSERTIONS = @ASSERTIONS@
371 AUTOCONF = @AUTOCONF@
372 AUTOHEADER = @AUTOHEADER@
373 AUTOMAKE = @AUTOMAKE@
374 AWK = @AWK@
375 BASH = @BASH@
376 BINARY_OWNER = @BINARY_OWNER@
377 BITSIZEOF_PTRDIFF_T = @BITSIZEOF_PTRDIFF_T@
378 BITSIZEOF_SIG_ATOMIC_T = @BITSIZEOF_SIG_ATOMIC_T@
379 BITSIZEOF_SIZE_T = @BITSIZEOF_SIZE_T@
380 BITSIZEOF_WCHAR_T = @BITSIZEOF_WCHAR_T@
381 BITSIZEOF_WINT_T = @BITSIZEOF_WINT_T@
382 BSDTCP_SECURITY = @BSDTCP_SECURITY@
383 BSDUDP_SECURITY = @BSDUDP_SECURITY@
384 BSD_SECURITY = @BSD_SECURITY@
385 CAT = @CAT@
386 CC = @CC@
387 CCDEPMODE = @CCDEPMODE@
388 CFLAGS = @CFLAGS@
389 CFLAG_VISIBILITY = @CFLAG_VISIBILITY@
390 CHECK_USERID = @CHECK_USERID@
391 CHIO = @CHIO@
392 CHS = @CHS@
393 CLIENT_HOST_INSTANCE = @CLIENT_HOST_INSTANCE@
394 CLIENT_HOST_KEY_FILE = @CLIENT_HOST_KEY_FILE@
395 CLIENT_HOST_PRINCIPAL = @CLIENT_HOST_PRINCIPAL@
396 CLIENT_LOGIN = @CLIENT_LOGIN@
397 CLIENT_SCRIPTS_OPT = @CLIENT_SCRIPTS_OPT@
398 COMPRESS = @COMPRESS@
399 COMPRESS_BEST_OPT = @COMPRESS_BEST_OPT@
400 COMPRESS_FAST_OPT = @COMPRESS_FAST_OPT@
401 COMPRESS_PATH = @COMPRESS_PATH@
402 COMPRESS_SUFFIX = @COMPRESS_SUFFIX@
403 CONFIG_CLOBBER_MY_CONFIG = @CONFIG_CLOBBER_MY_CONFIG@
404 CONFIG_DIR = @CONFIG_DIR@
405 CPP = @CPP@
406 CPPFLAGS = @CPPFLAGS@
407 CURL_CONFIG = @CURL_CONFIG@
408 CXX = @CXX@
409 CXXCPP = @CXXCPP@
410 CXXDEPMODE = @CXXDEPMODE@
411 CXXFLAGS = @CXXFLAGS@
412 CYGPATH_W = @CYGPATH_W@
413 DD = @DD@
414 DEFAULT_AMANDATES_FILE = @DEFAULT_AMANDATES_FILE@
415 DEFAULT_CHANGER_DEVICE = @DEFAULT_CHANGER_DEVICE@
416 DEFAULT_CONFIG = @DEFAULT_CONFIG@
417 DEFAULT_MAILER = @DEFAULT_MAILER@
418 DEFAULT_SERVER = @DEFAULT_SERVER@
419 DEFAULT_TAPE_DEVICE = @DEFAULT_TAPE_DEVICE@
420 DEFAULT_TAPE_SERVER = @DEFAULT_TAPE_SERVER@
421 DEFS = @DEFS@
422 DEPDIR = @DEPDIR@
423 DOC_BUILD_DATE = @DOC_BUILD_DATE@
424 DUMP = @DUMP@
425 DUMP_RETURNS_1 = @DUMP_RETURNS_1@
426 ECHO = @ECHO@
427 ECHO_C = @ECHO_C@
428 ECHO_N = @ECHO_N@
429 ECHO_T = @ECHO_T@
430 EGREP = @EGREP@
431 EOVERFLOW = @EOVERFLOW@
432 EXAMPLE_TAPEDEV = @EXAMPLE_TAPEDEV@
433 EXEEXT = @EXEEXT@
434 F77 = @F77@
435 FFLAGS = @FFLAGS@
436 FLOAT_H = @FLOAT_H@
437 GETCONF = @GETCONF@
438 GETOPT_H = @GETOPT_H@
439 GETTEXT = @GETTEXT@
440 GLIB_CFLAGS = @GLIB_CFLAGS@
441 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
442 GLIB_LIBS = @GLIB_LIBS@
443 GLIB_MKENUMS = @GLIB_MKENUMS@
444 GMSGFMT = @GMSGFMT@
445 GMSGFMT_015 = @GMSGFMT_015@
446 GNULIB_CALLOC_POSIX = @GNULIB_CALLOC_POSIX@
447 GNULIB_CHOWN = @GNULIB_CHOWN@
448 GNULIB_DUP2 = @GNULIB_DUP2@
449 GNULIB_ENVIRON = @GNULIB_ENVIRON@
450 GNULIB_FCHDIR = @GNULIB_FCHDIR@
451 GNULIB_FFLUSH = @GNULIB_FFLUSH@
452 GNULIB_FOPEN = @GNULIB_FOPEN@
453 GNULIB_FPRINTF_POSIX = @GNULIB_FPRINTF_POSIX@
454 GNULIB_FREOPEN = @GNULIB_FREOPEN@
455 GNULIB_FSEEK = @GNULIB_FSEEK@
456 GNULIB_FSEEKO = @GNULIB_FSEEKO@
457 GNULIB_FTELL = @GNULIB_FTELL@
458 GNULIB_FTELLO = @GNULIB_FTELLO@
459 GNULIB_FTRUNCATE = @GNULIB_FTRUNCATE@
460 GNULIB_GETCWD = @GNULIB_GETCWD@
461 GNULIB_GETDELIM = @GNULIB_GETDELIM@
462 GNULIB_GETLINE = @GNULIB_GETLINE@
463 GNULIB_GETLOGIN_R = @GNULIB_GETLOGIN_R@
464 GNULIB_GETPAGESIZE = @GNULIB_GETPAGESIZE@
465 GNULIB_GETSUBOPT = @GNULIB_GETSUBOPT@
466 GNULIB_LCHOWN = @GNULIB_LCHOWN@
467 GNULIB_LSEEK = @GNULIB_LSEEK@
468 GNULIB_MALLOC_POSIX = @GNULIB_MALLOC_POSIX@
469 GNULIB_MBSCASECMP = @GNULIB_MBSCASECMP@
470 GNULIB_MBSCASESTR = @GNULIB_MBSCASESTR@
471 GNULIB_MBSCHR = @GNULIB_MBSCHR@
472 GNULIB_MBSCSPN = @GNULIB_MBSCSPN@
473 GNULIB_MBSLEN = @GNULIB_MBSLEN@
474 GNULIB_MBSNCASECMP = @GNULIB_MBSNCASECMP@
475 GNULIB_MBSNLEN = @GNULIB_MBSNLEN@
476 GNULIB_MBSPBRK = @GNULIB_MBSPBRK@
477 GNULIB_MBSPCASECMP = @GNULIB_MBSPCASECMP@
478 GNULIB_MBSRCHR = @GNULIB_MBSRCHR@
479 GNULIB_MBSSEP = @GNULIB_MBSSEP@
480 GNULIB_MBSSPN = @GNULIB_MBSSPN@
481 GNULIB_MBSSTR = @GNULIB_MBSSTR@
482 GNULIB_MBSTOK_R = @GNULIB_MBSTOK_R@
483 GNULIB_MEMMEM = @GNULIB_MEMMEM@
484 GNULIB_MEMPCPY = @GNULIB_MEMPCPY@
485 GNULIB_MEMRCHR = @GNULIB_MEMRCHR@
486 GNULIB_MKDTEMP = @GNULIB_MKDTEMP@
487 GNULIB_MKSTEMP = @GNULIB_MKSTEMP@
488 GNULIB_PRINTF_POSIX = @GNULIB_PRINTF_POSIX@
489 GNULIB_PUTENV = @GNULIB_PUTENV@
490 GNULIB_READLINK = @GNULIB_READLINK@
491 GNULIB_REALLOC_POSIX = @GNULIB_REALLOC_POSIX@
492 GNULIB_SETENV = @GNULIB_SETENV@
493 GNULIB_SLEEP = @GNULIB_SLEEP@
494 GNULIB_SNPRINTF = @GNULIB_SNPRINTF@
495 GNULIB_SPRINTF_POSIX = @GNULIB_SPRINTF_POSIX@
496 GNULIB_STPCPY = @GNULIB_STPCPY@
497 GNULIB_STPNCPY = @GNULIB_STPNCPY@
498 GNULIB_STRCASESTR = @GNULIB_STRCASESTR@
499 GNULIB_STRCHRNUL = @GNULIB_STRCHRNUL@
500 GNULIB_STRDUP = @GNULIB_STRDUP@
501 GNULIB_STRERROR = @GNULIB_STRERROR@
502 GNULIB_STRNDUP = @GNULIB_STRNDUP@
503 GNULIB_STRNLEN = @GNULIB_STRNLEN@
504 GNULIB_STRPBRK = @GNULIB_STRPBRK@
505 GNULIB_STRSEP = @GNULIB_STRSEP@
506 GNULIB_STRSIGNAL = @GNULIB_STRSIGNAL@
507 GNULIB_STRSTR = @GNULIB_STRSTR@
508 GNULIB_STRTOK_R = @GNULIB_STRTOK_R@
509 GNULIB_UNSETENV = @GNULIB_UNSETENV@
510 GNULIB_VASPRINTF = @GNULIB_VASPRINTF@
511 GNULIB_VFPRINTF_POSIX = @GNULIB_VFPRINTF_POSIX@
512 GNULIB_VPRINTF_POSIX = @GNULIB_VPRINTF_POSIX@
513 GNULIB_VSNPRINTF = @GNULIB_VSNPRINTF@
514 GNULIB_VSPRINTF_POSIX = @GNULIB_VSPRINTF_POSIX@
515 GNULIB_WCWIDTH = @GNULIB_WCWIDTH@
516 GNUPLOT = @GNUPLOT@
517 GNUTAR = @GNUTAR@
518 GNUTAR_LISTED_INCREMENTAL_DIR = @GNUTAR_LISTED_INCREMENTAL_DIR@
519 GOBJECT_QUERY = @GOBJECT_QUERY@
520 GREP = @GREP@
521 GZIP = @GZIP@
522 HAVE_CALLOC_POSIX = @HAVE_CALLOC_POSIX@
523 HAVE_DECL_ENVIRON = @HAVE_DECL_ENVIRON@
524 HAVE_DECL_GETDELIM = @HAVE_DECL_GETDELIM@
525 HAVE_DECL_GETLINE = @HAVE_DECL_GETLINE@
526 HAVE_DECL_GETLOGIN_R = @HAVE_DECL_GETLOGIN_R@
527 HAVE_DECL_MEMMEM = @HAVE_DECL_MEMMEM@
528 HAVE_DECL_MEMRCHR = @HAVE_DECL_MEMRCHR@
529 HAVE_DECL_MKDIR = @HAVE_DECL_MKDIR@
530 HAVE_DECL_SNPRINTF = @HAVE_DECL_SNPRINTF@
531 HAVE_DECL_STRDUP = @HAVE_DECL_STRDUP@
532 HAVE_DECL_STRERROR = @HAVE_DECL_STRERROR@
533 HAVE_DECL_STRNDUP = @HAVE_DECL_STRNDUP@
534 HAVE_DECL_STRNLEN = @HAVE_DECL_STRNLEN@
535 HAVE_DECL_STRSIGNAL = @HAVE_DECL_STRSIGNAL@
536 HAVE_DECL_STRTOK_R = @HAVE_DECL_STRTOK_R@
537 HAVE_DECL_VSNPRINTF = @HAVE_DECL_VSNPRINTF@
538 HAVE_DECL_WCWIDTH = @HAVE_DECL_WCWIDTH@
539 HAVE_DUP2 = @HAVE_DUP2@
540 HAVE_FSEEKO = @HAVE_FSEEKO@
541 HAVE_FTELLO = @HAVE_FTELLO@
542 HAVE_FTRUNCATE = @HAVE_FTRUNCATE@
543 HAVE_GETPAGESIZE = @HAVE_GETPAGESIZE@
544 HAVE_GETSUBOPT = @HAVE_GETSUBOPT@
545 HAVE_GZIP = @HAVE_GZIP@
546 HAVE_INTTYPES_H = @HAVE_INTTYPES_H@
547 HAVE_IO_H = @HAVE_IO_H@
548 HAVE_LONG_LONG_INT = @HAVE_LONG_LONG_INT@
549 HAVE_LSTAT = @HAVE_LSTAT@
550 HAVE_MALLOC_POSIX = @HAVE_MALLOC_POSIX@
551 HAVE_MEMPCPY = @HAVE_MEMPCPY@
552 HAVE_MKDTEMP = @HAVE_MKDTEMP@
553 HAVE_NETINET_IN_H = @HAVE_NETINET_IN_H@
554 HAVE_OS_H = @HAVE_OS_H@
555 HAVE_READLINK = @HAVE_READLINK@
556 HAVE_REALLOC_POSIX = @HAVE_REALLOC_POSIX@
557 HAVE_SETENV = @HAVE_SETENV@
558 HAVE_SIGNED_SIG_ATOMIC_T = @HAVE_SIGNED_SIG_ATOMIC_T@
559 HAVE_SIGNED_WCHAR_T = @HAVE_SIGNED_WCHAR_T@
560 HAVE_SIGNED_WINT_T = @HAVE_SIGNED_WINT_T@
561 HAVE_SLEEP = @HAVE_SLEEP@
562 HAVE_STDINT_H = @HAVE_STDINT_H@
563 HAVE_STPCPY = @HAVE_STPCPY@
564 HAVE_STPNCPY = @HAVE_STPNCPY@
565 HAVE_STRCASESTR = @HAVE_STRCASESTR@
566 HAVE_STRCHRNUL = @HAVE_STRCHRNUL@
567 HAVE_STRNDUP = @HAVE_STRNDUP@
568 HAVE_STRPBRK = @HAVE_STRPBRK@
569 HAVE_STRSEP = @HAVE_STRSEP@
570 HAVE_STRUCT_TIMEVAL = @HAVE_STRUCT_TIMEVAL@
571 HAVE_SYS_BITYPES_H = @HAVE_SYS_BITYPES_H@
572 HAVE_SYS_INTTYPES_H = @HAVE_SYS_INTTYPES_H@
573 HAVE_SYS_PARAM_H = @HAVE_SYS_PARAM_H@
574 HAVE_SYS_SOCKET_H = @HAVE_SYS_SOCKET_H@
575 HAVE_SYS_TIME_H = @HAVE_SYS_TIME_H@
576 HAVE_SYS_TYPES_H = @HAVE_SYS_TYPES_H@
577 HAVE_UNISTD_H = @HAVE_UNISTD_H@
578 HAVE_UNSETENV = @HAVE_UNSETENV@
579 HAVE_UNSIGNED_LONG_LONG_INT = @HAVE_UNSIGNED_LONG_LONG_INT@
580 HAVE_VASPRINTF = @HAVE_VASPRINTF@
581 HAVE_VISIBILITY = @HAVE_VISIBILITY@
582 HAVE_WCHAR_H = @HAVE_WCHAR_H@
583 HAVE_WINSOCK2_H = @HAVE_WINSOCK2_H@
584 HAVE_WS2TCPIP_H = @HAVE_WS2TCPIP_H@
585 HAVE__BOOL = @HAVE__BOOL@
586 INCLUDE_NEXT = @INCLUDE_NEXT@
587 INSTALL = @INSTALL@
588 INSTALL_DATA = @INSTALL_DATA@
589 INSTALL_PROGRAM = @INSTALL_PROGRAM@
590 INSTALL_SCRIPT = @INSTALL_SCRIPT@
591 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
592 INTLLIBS = @INTLLIBS@
593 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
594 KRB4_SECURITY = @KRB4_SECURITY@
595 KRB5_SECURITY = @KRB5_SECURITY@
596 LDFLAGS = @LDFLAGS@
597 LEX = @LEX@
598 LEXLIB = @LEXLIB@
599 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
600 LIBCURL = @LIBCURL@
601 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
602 LIBICONV = @LIBICONV@
603 LIBINTL = @LIBINTL@
604 LIBMULTITHREAD = @LIBMULTITHREAD@
605 LIBOBJS = @LIBOBJS@
606 LIBPTH = @LIBPTH@
607 LIBS = @LIBS@
608 LIBTHREAD = @LIBTHREAD@
609 LIBTOOL = @LIBTOOL@
610 LIBTOOL_DEPS = @LIBTOOL_DEPS@
611 LN_S = @LN_S@
612 LOCKING = @LOCKING@
613 LOW_TCPPORTRANGE = @LOW_TCPPORTRANGE@
614 LTLIBICONV = @LTLIBICONV@
615 LTLIBINTL = @LTLIBINTL@
616 LTLIBMULTITHREAD = @LTLIBMULTITHREAD@
617 LTLIBOBJS = @LTLIBOBJS@
618 LTLIBPTH = @LTLIBPTH@
619 LTLIBTHREAD = @LTLIBTHREAD@
620 MAILER = @MAILER@
621 MAKEINFO = @MAKEINFO@
622 MCUTIL = @MCUTIL@
623 MKDIR_P = @MKDIR_P@
624 MSGFMT = @MSGFMT@
625 MSGFMT_015 = @MSGFMT_015@
626 MSGMERGE = @MSGMERGE@
627 MT = @MT@
628 MTX = @MTX@
629 MT_FILE_FLAG = @MT_FILE_FLAG@
630 NETINET_IN_H = @NETINET_IN_H@
631 NEXT_FLOAT_H = @NEXT_FLOAT_H@
632 NEXT_NETINET_IN_H = @NEXT_NETINET_IN_H@
633 NEXT_STDINT_H = @NEXT_STDINT_H@
634 NEXT_STDIO_H = @NEXT_STDIO_H@
635 NEXT_STDLIB_H = @NEXT_STDLIB_H@
636 NEXT_STRING_H = @NEXT_STRING_H@
637 NEXT_SYS_SOCKET_H = @NEXT_SYS_SOCKET_H@
638 NEXT_SYS_STAT_H = @NEXT_SYS_STAT_H@
639 NEXT_SYS_TIME_H = @NEXT_SYS_TIME_H@
640 NEXT_UNISTD_H = @NEXT_UNISTD_H@
641 NEXT_WCHAR_H = @NEXT_WCHAR_H@
642 OBJEXT = @OBJEXT@
643 PACKAGE = @PACKAGE@
644 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
645 PACKAGE_NAME = @PACKAGE_NAME@
646 PACKAGE_STRING = @PACKAGE_STRING@
647 PACKAGE_TARNAME = @PACKAGE_TARNAME@
648 PACKAGE_VERSION = @PACKAGE_VERSION@
649 PATH_SEPARATOR = @PATH_SEPARATOR@
650 PCAT = @PCAT@
651 PERL = @PERL@
652 PERLEXTLIBS = @PERLEXTLIBS@
653 PERL_INC = @PERL_INC@
654 PKG_CONFIG = @PKG_CONFIG@
655 POSUB = @POSUB@
656 PRINT = @PRINT@
657 PS = @PS@
658 PS_ARGUMENT = @PS_ARGUMENT@
659 PTRDIFF_T_SUFFIX = @PTRDIFF_T_SUFFIX@
660 RANLIB = @RANLIB@
661 READLINE_LIBS = @READLINE_LIBS@
662 REPLACE_CHOWN = @REPLACE_CHOWN@
663 REPLACE_FCHDIR = @REPLACE_FCHDIR@
664 REPLACE_FFLUSH = @REPLACE_FFLUSH@
665 REPLACE_FOPEN = @REPLACE_FOPEN@
666 REPLACE_FPRINTF = @REPLACE_FPRINTF@
667 REPLACE_FREOPEN = @REPLACE_FREOPEN@
668 REPLACE_FSEEK = @REPLACE_FSEEK@
669 REPLACE_FSEEKO = @REPLACE_FSEEKO@
670 REPLACE_FTELL = @REPLACE_FTELL@
671 REPLACE_FTELLO = @REPLACE_FTELLO@
672 REPLACE_GETCWD = @REPLACE_GETCWD@
673 REPLACE_GETLINE = @REPLACE_GETLINE@
674 REPLACE_GETPAGESIZE = @REPLACE_GETPAGESIZE@
675 REPLACE_GETTIMEOFDAY = @REPLACE_GETTIMEOFDAY@
676 REPLACE_LCHOWN = @REPLACE_LCHOWN@
677 REPLACE_LSEEK = @REPLACE_LSEEK@
678 REPLACE_MEMMEM = @REPLACE_MEMMEM@
679 REPLACE_MKSTEMP = @REPLACE_MKSTEMP@
680 REPLACE_PRINTF = @REPLACE_PRINTF@
681 REPLACE_PUTENV = @REPLACE_PUTENV@
682 REPLACE_SNPRINTF = @REPLACE_SNPRINTF@
683 REPLACE_SPRINTF = @REPLACE_SPRINTF@
684 REPLACE_STRCASESTR = @REPLACE_STRCASESTR@
685 REPLACE_STRERROR = @REPLACE_STRERROR@
686 REPLACE_STRSIGNAL = @REPLACE_STRSIGNAL@
687 REPLACE_STRSTR = @REPLACE_STRSTR@
688 REPLACE_VASPRINTF = @REPLACE_VASPRINTF@
689 REPLACE_VFPRINTF = @REPLACE_VFPRINTF@
690 REPLACE_VPRINTF = @REPLACE_VPRINTF@
691 REPLACE_VSNPRINTF = @REPLACE_VSNPRINTF@
692 REPLACE_VSPRINTF = @REPLACE_VSPRINTF@
693 REPLACE_WCWIDTH = @REPLACE_WCWIDTH@
694 RESTORE = @RESTORE@
695 RSH_SECURITY = @RSH_SECURITY@
696 SAMBA_CLIENT = @SAMBA_CLIENT@
697 SERVER_HOST_INSTANCE = @SERVER_HOST_INSTANCE@
698 SERVER_HOST_KEY_FILE = @SERVER_HOST_KEY_FILE@
699 SERVER_HOST_PRINCIPAL = @SERVER_HOST_PRINCIPAL@
700 SERVICE_SUFFIX = @SERVICE_SUFFIX@
701 SETUID_GROUP = @SETUID_GROUP@
702 SET_MAKE = @SET_MAKE@
703 SHELL = @SHELL@
704 SIG_ATOMIC_T_SUFFIX = @SIG_ATOMIC_T_SUFFIX@
705 SIZE_T_SUFFIX = @SIZE_T_SUFFIX@
706 SNAPSHOT_STAMP = @SNAPSHOT_STAMP@
707 SORT = @SORT@
708 SSH = @SSH@
709 SSH_SECURITY = @SSH_SECURITY@
710 STDBOOL_H = @STDBOOL_H@
711 STDINT_H = @STDINT_H@
712 STRIP = @STRIP@
713 SVN = @SVN@
714 SWIG = @SWIG@
715 SWIG_LIB = @SWIG_LIB@
716 SYS_SOCKET_H = @SYS_SOCKET_H@
717 SYS_STAT_H = @SYS_STAT_H@
718 SYS_TIME_H = @SYS_TIME_H@
719 TCPPORTRANGE = @TCPPORTRANGE@
720 TICKET_LIFETIME = @TICKET_LIFETIME@
721 UDPPORTRANGE = @UDPPORTRANGE@
722 UNCOMPRESS_OPT = @UNCOMPRESS_OPT@
723 UNCOMPRESS_PATH = @UNCOMPRESS_PATH@
724 USE_AMANDAHOSTS = @USE_AMANDAHOSTS@
725 USE_NLS = @USE_NLS@
726 USE_RUNDUMP = @USE_RUNDUMP@
727 USE_VERSION_SUFFIXES = @USE_VERSION_SUFFIXES@
728 VDUMP = @VDUMP@
729 VERSION = @VERSION@
730 VERSION_COMMENT = @VERSION_COMMENT@
731 VERSION_MAJOR = @VERSION_MAJOR@
732 VERSION_MINOR = @VERSION_MINOR@
733 VERSION_PATCH = @VERSION_PATCH@
734 VERSION_SUFFIX = @VERSION_SUFFIX@
735 VOID_UNSETENV = @VOID_UNSETENV@
736 VRESTORE = @VRESTORE@
737 VXDUMP = @VXDUMP@
738 VXRESTORE = @VXRESTORE@
739 WCHAR_H = @WCHAR_H@
740 WCHAR_T_SUFFIX = @WCHAR_T_SUFFIX@
741 WINT_T_SUFFIX = @WINT_T_SUFFIX@
742 XFSDUMP = @XFSDUMP@
743 XFSRESTORE = @XFSRESTORE@
744 XGETTEXT = @XGETTEXT@
745 XGETTEXT_015 = @XGETTEXT_015@
746 XSLREL = @XSLREL@
747 XSLTPROC = @XSLTPROC@
748 XSLTPROC_FLAGS = @XSLTPROC_FLAGS@
749 YACC = @YACC@
750 YFLAGS = @YFLAGS@
751 _libcurl_config = @_libcurl_config@
752 abs_builddir = @abs_builddir@
753 abs_srcdir = @abs_srcdir@
754 abs_top_builddir = @abs_top_builddir@
755 abs_top_srcdir = @abs_top_srcdir@
756 ac_ct_CC = @ac_ct_CC@
757 ac_ct_CXX = @ac_ct_CXX@
758 ac_ct_F77 = @ac_ct_F77@
759 am__include = @am__include@
760 am__leading_dot = @am__leading_dot@
761 am__quote = @am__quote@
762 am__tar = @am__tar@
763 am__untar = @am__untar@
764 amdatadir = @amdatadir@
765 amincludedir = @amincludedir@
766 amlibdir = @amlibdir@
767 amlibexecdir = @amlibexecdir@
768 amperldir = @amperldir@
769 bindir = @bindir@
770 build = @build@
771 build_alias = @build_alias@
772 build_cpu = @build_cpu@
773 build_os = @build_os@
774 build_vendor = @build_vendor@
775 builddir = @builddir@
776 datadir = @datadir@
777 datarootdir = @datarootdir@
778 docdir = @docdir@
779 dvidir = @dvidir@
780 exec_prefix = @exec_prefix@
781 gl_LIBOBJS = @gl_LIBOBJS@
782 gl_LTLIBOBJS = @gl_LTLIBOBJS@
783 gltests_LIBOBJS = @gltests_LIBOBJS@
784 gltests_LTLIBOBJS = @gltests_LTLIBOBJS@
785 host = @host@
786 host_alias = @host_alias@
787 host_cpu = @host_cpu@
788 host_os = @host_os@
789 host_vendor = @host_vendor@
790 htmldir = @htmldir@
791 includedir = @includedir@
792 infodir = @infodir@
793 install_sh = @install_sh@
794 libdir = @libdir@
795 libexecdir = @libexecdir@
796 localedir = @localedir@
797 localstatedir = @localstatedir@
798 mandir = @mandir@
799 mkdir_p = @mkdir_p@
800 oldincludedir = @oldincludedir@
801 pdfdir = @pdfdir@
802 prefix = @prefix@
803 program_transform_name = @program_transform_name@
804 psdir = @psdir@
805 sbindir = @sbindir@
806 sharedstatedir = @sharedstatedir@
807 srcdir = @srcdir@
808 sysconfdir = @sysconfdir@
809 target = @target@
810 target_alias = @target_alias@
811 target_cpu = @target_cpu@
812 target_os = @target_os@
813 target_vendor = @target_vendor@
814 top_build_prefix = @top_build_prefix@
815 top_builddir = @top_builddir@
816 top_srcdir = @top_srcdir@
817 SUFFIXES = 
818 EXTRA_DIST = 
819 BUILT_SOURCES = 
820 MOSTLYCLEANFILES = 
821
822 # config.status leaves config.log files around
823 CLEANFILES = config.log
824
825 # and we'll need to clean up our generated files for distclean
826 DISTCLEANFILES = $(SCRIPTS_SHELL) $(SCRIPTS_PERL) $(SCRIPTS_AWK) \
827         $(SCRIPTS_INCLUDE)
828 MAINTAINERCLEANFILES = 
829
830 # syntax-check shell scripts on 'make check'
831 CHECK_SHELL = $(SCRIPTS_SHELL)
832 INCLUDES = -I$(top_builddir)/common-src \
833                 -I$(top_srcdir)/common-src \
834                 -I$(top_srcdir)/gnulib
835
836 AM_CFLAGS = $(AMANDA_WARNING_CFLAGS)
837 AM_LDFLAGS = $(AMANDA_STATIC_LDFLAGS)
838 CHECK_PERL = amtapetype
839 SCRIPTS_PERL = $(CHECK_PERL)
840 sbin_SCRIPTS = $(SCRIPTS_PERL)
841 amlib_LTLIBRARIES = libamdevice.la
842 libamdevice_la_LDFLAGS = -release $(VERSION) 
843 libamdevice_la_SOURCES = property.c device.c device-queueing.c \
844         null-device.c rait-device.c vfs-device.c $(am__append_1) \
845         $(am__append_2) $(am__append_3) $(am__append_4) \
846         $(am__append_5) $(am__append_6)
847 libamdevice_la_LIBADD = ../common-src/libamanda.la
848 vfs_test_SOURCES = vfs-test.c
849 vfs_test_LDADD = \
850         ../common-src/libtestutils.la \
851         libamdevice.la
852
853 @WANT_S3_DEVICE_TRUE@activate_devpay_SOURCES = activate-devpay.c
854 noinst_HEADERS = \
855         device-queueing.h \
856         device.h \
857         property.h \
858         s3.h \
859         s3-util.h \
860         tape-device.h \
861         tape-ops.h
862
863 aminclude_HEADERS = 
864 all: $(BUILT_SOURCES)
865         $(MAKE) $(AM_MAKEFLAGS) all-am
866
867 .SUFFIXES:
868 .SUFFIXES: .c .lo .o .obj
869 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/config/automake/vars.am $(top_srcdir)/config/automake/scripts.am $(top_srcdir)/config/automake/precompile.am $(am__configure_deps)
870         @for dep in $?; do \
871           case '$(am__configure_deps)' in \
872             *$$dep*) \
873               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
874                 && { if test -f $@; then exit 0; else break; fi; }; \
875               exit 1;; \
876           esac; \
877         done; \
878         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu device-src/Makefile'; \
879         $(am__cd) $(top_srcdir) && \
880           $(AUTOMAKE) --gnu device-src/Makefile
881 .PRECIOUS: Makefile
882 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
883         @case '$?' in \
884           *config.status*) \
885             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
886           *) \
887             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
888             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
889         esac;
890
891 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
892         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
893
894 $(top_srcdir)/configure:  $(am__configure_deps)
895         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
896 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
897         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
898 $(am__aclocal_m4_deps):
899 install-amlibLTLIBRARIES: $(amlib_LTLIBRARIES)
900         @$(NORMAL_INSTALL)
901         test -z "$(amlibdir)" || $(MKDIR_P) "$(DESTDIR)$(amlibdir)"
902         @list='$(amlib_LTLIBRARIES)'; test -n "$(amlibdir)" || list=; \
903         list2=; for p in $$list; do \
904           if test -f $$p; then \
905             list2="$$list2 $$p"; \
906           else :; fi; \
907         done; \
908         test -z "$$list2" || { \
909           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(amlibdir)'"; \
910           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(amlibdir)"; \
911         }
912
913 uninstall-amlibLTLIBRARIES:
914         @$(NORMAL_UNINSTALL)
915         @list='$(amlib_LTLIBRARIES)'; test -n "$(amlibdir)" || list=; \
916         for p in $$list; do \
917           $(am__strip_dir) \
918           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(amlibdir)/$$f'"; \
919           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(amlibdir)/$$f"; \
920         done
921
922 clean-amlibLTLIBRARIES:
923         -test -z "$(amlib_LTLIBRARIES)" || rm -f $(amlib_LTLIBRARIES)
924         @list='$(amlib_LTLIBRARIES)'; for p in $$list; do \
925           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
926           test "$$dir" != "$$p" || dir=.; \
927           echo "rm -f \"$${dir}/so_locations\""; \
928           rm -f "$${dir}/so_locations"; \
929         done
930 libamdevice.la: $(libamdevice_la_OBJECTS) $(libamdevice_la_DEPENDENCIES) 
931         $(libamdevice_la_LINK) -rpath $(amlibdir) $(libamdevice_la_OBJECTS) $(libamdevice_la_LIBADD) $(LIBS)
932
933 clean-noinstPROGRAMS:
934         @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
935         echo " rm -f" $$list; \
936         rm -f $$list || exit $$?; \
937         test -n "$(EXEEXT)" || exit 0; \
938         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
939         echo " rm -f" $$list; \
940         rm -f $$list
941 install-sbinPROGRAMS: $(sbin_PROGRAMS)
942         @$(NORMAL_INSTALL)
943         test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"
944         @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
945         for p in $$list; do echo "$$p $$p"; done | \
946         sed 's/$(EXEEXT)$$//' | \
947         while read p p1; do if test -f $$p || test -f $$p1; \
948           then echo "$$p"; echo "$$p"; else :; fi; \
949         done | \
950         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
951             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
952         sed 'N;N;N;s,\n, ,g' | \
953         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
954           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
955             if ($$2 == $$4) files[d] = files[d] " " $$1; \
956             else { print "f", $$3 "/" $$4, $$1; } } \
957           END { for (d in files) print "f", d, files[d] }' | \
958         while read type dir files; do \
959             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
960             test -z "$$files" || { \
961             echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
962             $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
963             } \
964         ; done
965
966 uninstall-sbinPROGRAMS:
967         @$(NORMAL_UNINSTALL)
968         @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
969         files=`for p in $$list; do echo "$$p"; done | \
970           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
971               -e 's/$$/$(EXEEXT)/' `; \
972         test -n "$$list" || exit 0; \
973         echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
974         cd "$(DESTDIR)$(sbindir)" && rm -f $$files
975
976 clean-sbinPROGRAMS:
977         @list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
978         echo " rm -f" $$list; \
979         rm -f $$list || exit $$?; \
980         test -n "$(EXEEXT)" || exit 0; \
981         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
982         echo " rm -f" $$list; \
983         rm -f $$list
984 activate-devpay$(EXEEXT): $(activate_devpay_OBJECTS) $(activate_devpay_DEPENDENCIES) 
985         @rm -f activate-devpay$(EXEEXT)
986         $(LINK) $(activate_devpay_OBJECTS) $(activate_devpay_LDADD) $(LIBS)
987 vfs-test$(EXEEXT): $(vfs_test_OBJECTS) $(vfs_test_DEPENDENCIES) 
988         @rm -f vfs-test$(EXEEXT)
989         $(LINK) $(vfs_test_OBJECTS) $(vfs_test_LDADD) $(LIBS)
990 install-sbinSCRIPTS: $(sbin_SCRIPTS)
991         @$(NORMAL_INSTALL)
992         test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"
993         @list='$(sbin_SCRIPTS)'; test -n "$(sbindir)" || list=; \
994         for p in $$list; do \
995           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
996           if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
997         done | \
998         sed -e 'p;s,.*/,,;n' \
999             -e 'h;s|.*|.|' \
1000             -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
1001         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
1002           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
1003             if ($$2 == $$4) { files[d] = files[d] " " $$1; \
1004               if (++n[d] == $(am__install_max)) { \
1005                 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
1006             else { print "f", d "/" $$4, $$1 } } \
1007           END { for (d in files) print "f", d, files[d] }' | \
1008         while read type dir files; do \
1009              if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
1010              test -z "$$files" || { \
1011                echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
1012                $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
1013              } \
1014         ; done
1015
1016 uninstall-sbinSCRIPTS:
1017         @$(NORMAL_UNINSTALL)
1018         @list='$(sbin_SCRIPTS)'; test -n "$(sbindir)" || exit 0; \
1019         files=`for p in $$list; do echo "$$p"; done | \
1020                sed -e 's,.*/,,;$(transform)'`; \
1021         test -n "$$list" || exit 0; \
1022         echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
1023         cd "$(DESTDIR)$(sbindir)" && rm -f $$files
1024
1025 mostlyclean-compile:
1026         -rm -f *.$(OBJEXT)
1027
1028 distclean-compile:
1029         -rm -f *.tab.c
1030
1031 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/activate-devpay.Po@am__quote@
1032 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/device-queueing.Plo@am__quote@
1033 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/device.Plo@am__quote@
1034 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/null-device.Plo@am__quote@
1035 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/property.Plo@am__quote@
1036 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rait-device.Plo@am__quote@
1037 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/s3-device.Plo@am__quote@
1038 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/s3-util.Plo@am__quote@
1039 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/s3.Plo@am__quote@
1040 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tape-aix.Plo@am__quote@
1041 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tape-device.Plo@am__quote@
1042 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tape-posix.Plo@am__quote@
1043 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tape-uware.Plo@am__quote@
1044 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tape-xenix.Plo@am__quote@
1045 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vfs-device.Plo@am__quote@
1046 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vfs-test.Po@am__quote@
1047
1048 .c.o:
1049 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1050 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1051 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1052 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1053 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
1054
1055 .c.obj:
1056 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1057 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1058 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1059 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1060 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
1061
1062 .c.lo:
1063 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1064 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1065 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1066 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1067 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
1068
1069 mostlyclean-libtool:
1070         -rm -f *.lo
1071
1072 clean-libtool:
1073         -rm -rf .libs _libs
1074 install-amincludeHEADERS: $(aminclude_HEADERS)
1075         @$(NORMAL_INSTALL)
1076         test -z "$(amincludedir)" || $(MKDIR_P) "$(DESTDIR)$(amincludedir)"
1077         @list='$(aminclude_HEADERS)'; test -n "$(amincludedir)" || list=; \
1078         for p in $$list; do \
1079           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1080           echo "$$d$$p"; \
1081         done | $(am__base_list) | \
1082         while read files; do \
1083           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(amincludedir)'"; \
1084           $(INSTALL_HEADER) $$files "$(DESTDIR)$(amincludedir)" || exit $$?; \
1085         done
1086
1087 uninstall-amincludeHEADERS:
1088         @$(NORMAL_UNINSTALL)
1089         @list='$(aminclude_HEADERS)'; test -n "$(amincludedir)" || list=; \
1090         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1091         test -n "$$files" || exit 0; \
1092         echo " ( cd '$(DESTDIR)$(amincludedir)' && rm -f" $$files ")"; \
1093         cd "$(DESTDIR)$(amincludedir)" && rm -f $$files
1094
1095 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1096         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1097         unique=`for i in $$list; do \
1098             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1099           done | \
1100           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1101               END { if (nonempty) { for (i in files) print i; }; }'`; \
1102         mkid -fID $$unique
1103 tags: TAGS
1104
1105 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1106                 $(TAGS_FILES) $(LISP)
1107         set x; \
1108         here=`pwd`; \
1109         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1110         unique=`for i in $$list; do \
1111             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1112           done | \
1113           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1114               END { if (nonempty) { for (i in files) print i; }; }'`; \
1115         shift; \
1116         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1117           test -n "$$unique" || unique=$$empty_fix; \
1118           if test $$# -gt 0; then \
1119             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1120               "$$@" $$unique; \
1121           else \
1122             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1123               $$unique; \
1124           fi; \
1125         fi
1126 ctags: CTAGS
1127 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1128                 $(TAGS_FILES) $(LISP)
1129         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1130         unique=`for i in $$list; do \
1131             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1132           done | \
1133           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1134               END { if (nonempty) { for (i in files) print i; }; }'`; \
1135         test -z "$(CTAGS_ARGS)$$unique" \
1136           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1137              $$unique
1138
1139 GTAGS:
1140         here=`$(am__cd) $(top_builddir) && pwd` \
1141           && $(am__cd) $(top_srcdir) \
1142           && gtags -i $(GTAGS_ARGS) "$$here"
1143
1144 distclean-tags:
1145         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1146
1147 check-TESTS: $(TESTS)
1148         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
1149         srcdir=$(srcdir); export srcdir; \
1150         list=' $(TESTS) '; \
1151         $(am__tty_colors); \
1152         if test -n "$$list"; then \
1153           for tst in $$list; do \
1154             if test -f ./$$tst; then dir=./; \
1155             elif test -f $$tst; then dir=; \
1156             else dir="$(srcdir)/"; fi; \
1157             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
1158               all=`expr $$all + 1`; \
1159               case " $(XFAIL_TESTS) " in \
1160               *[\ \     ]$$tst[\ \      ]*) \
1161                 xpass=`expr $$xpass + 1`; \
1162                 failed=`expr $$failed + 1`; \
1163                 col=$$red; res=XPASS; \
1164               ;; \
1165               *) \
1166                 col=$$grn; res=PASS; \
1167               ;; \
1168               esac; \
1169             elif test $$? -ne 77; then \
1170               all=`expr $$all + 1`; \
1171               case " $(XFAIL_TESTS) " in \
1172               *[\ \     ]$$tst[\ \      ]*) \
1173                 xfail=`expr $$xfail + 1`; \
1174                 col=$$lgn; res=XFAIL; \
1175               ;; \
1176               *) \
1177                 failed=`expr $$failed + 1`; \
1178                 col=$$red; res=FAIL; \
1179               ;; \
1180               esac; \
1181             else \
1182               skip=`expr $$skip + 1`; \
1183               col=$$blu; res=SKIP; \
1184             fi; \
1185             echo "$${col}$$res$${std}: $$tst"; \
1186           done; \
1187           if test "$$all" -eq 1; then \
1188             tests="test"; \
1189             All=""; \
1190           else \
1191             tests="tests"; \
1192             All="All "; \
1193           fi; \
1194           if test "$$failed" -eq 0; then \
1195             if test "$$xfail" -eq 0; then \
1196               banner="$$All$$all $$tests passed"; \
1197             else \
1198               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
1199               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
1200             fi; \
1201           else \
1202             if test "$$xpass" -eq 0; then \
1203               banner="$$failed of $$all $$tests failed"; \
1204             else \
1205               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
1206               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
1207             fi; \
1208           fi; \
1209           dashes="$$banner"; \
1210           skipped=""; \
1211           if test "$$skip" -ne 0; then \
1212             if test "$$skip" -eq 1; then \
1213               skipped="($$skip test was not run)"; \
1214             else \
1215               skipped="($$skip tests were not run)"; \
1216             fi; \
1217             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
1218               dashes="$$skipped"; \
1219           fi; \
1220           report=""; \
1221           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
1222             report="Please report to $(PACKAGE_BUGREPORT)"; \
1223             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
1224               dashes="$$report"; \
1225           fi; \
1226           dashes=`echo "$$dashes" | sed s/./=/g`; \
1227           if test "$$failed" -eq 0; then \
1228             echo "$$grn$$dashes"; \
1229           else \
1230             echo "$$red$$dashes"; \
1231           fi; \
1232           echo "$$banner"; \
1233           test -z "$$skipped" || echo "$$skipped"; \
1234           test -z "$$report" || echo "$$report"; \
1235           echo "$$dashes$$std"; \
1236           test "$$failed" -eq 0; \
1237         else :; fi
1238
1239 distdir: $(DISTFILES)
1240         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1241         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1242         list='$(DISTFILES)'; \
1243           dist_files=`for file in $$list; do echo $$file; done | \
1244           sed -e "s|^$$srcdirstrip/||;t" \
1245               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1246         case $$dist_files in \
1247           */*) $(MKDIR_P) `echo "$$dist_files" | \
1248                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1249                            sort -u` ;; \
1250         esac; \
1251         for file in $$dist_files; do \
1252           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1253           if test -d $$d/$$file; then \
1254             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1255             if test -d "$(distdir)/$$file"; then \
1256               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1257             fi; \
1258             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1259               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1260               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1261             fi; \
1262             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1263           else \
1264             test -f "$(distdir)/$$file" \
1265             || cp -p $$d/$$file "$(distdir)/$$file" \
1266             || exit 1; \
1267           fi; \
1268         done
1269         $(MAKE) $(AM_MAKEFLAGS) \
1270           top_distdir="$(top_distdir)" distdir="$(distdir)" \
1271           dist-hook
1272 check-am: all-am
1273         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
1274 check: $(BUILT_SOURCES)
1275         $(MAKE) $(AM_MAKEFLAGS) check-am
1276 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(SCRIPTS) $(HEADERS)
1277 installdirs:
1278         for dir in "$(DESTDIR)$(amlibdir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(amincludedir)"; do \
1279           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1280         done
1281 install: $(BUILT_SOURCES)
1282         $(MAKE) $(AM_MAKEFLAGS) install-am
1283 install-exec: install-exec-am
1284 install-data: install-data-am
1285 uninstall: uninstall-am
1286
1287 install-am: all-am
1288         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1289
1290 installcheck: installcheck-am
1291 install-strip:
1292         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1293           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1294           `test -z '$(STRIP)' || \
1295             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1296 mostlyclean-generic:
1297         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1298
1299 clean-generic:
1300         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1301
1302 distclean-generic:
1303         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1304         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1305         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1306
1307 maintainer-clean-generic:
1308         @echo "This command is intended for maintainers to use"
1309         @echo "it deletes files that may require special tools to rebuild."
1310         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1311         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1312 clean: clean-am
1313
1314 clean-am: clean-amlibLTLIBRARIES clean-generic clean-libtool \
1315         clean-noinstPROGRAMS clean-sbinPROGRAMS mostlyclean-am
1316
1317 distclean: distclean-am
1318         -rm -rf ./$(DEPDIR)
1319         -rm -f Makefile
1320 distclean-am: clean-am distclean-compile distclean-generic \
1321         distclean-tags
1322
1323 dvi: dvi-am
1324
1325 dvi-am:
1326
1327 html: html-am
1328
1329 html-am:
1330
1331 info: info-am
1332
1333 info-am:
1334
1335 install-data-am: install-amincludeHEADERS install-amlibLTLIBRARIES
1336
1337 install-dvi: install-dvi-am
1338
1339 install-dvi-am:
1340
1341 install-exec-am: install-sbinPROGRAMS install-sbinSCRIPTS
1342
1343 install-html: install-html-am
1344
1345 install-html-am:
1346
1347 install-info: install-info-am
1348
1349 install-info-am:
1350
1351 install-man:
1352
1353 install-pdf: install-pdf-am
1354
1355 install-pdf-am:
1356
1357 install-ps: install-ps-am
1358
1359 install-ps-am:
1360
1361 installcheck-am: installcheck-local
1362
1363 maintainer-clean: maintainer-clean-am
1364         -rm -rf ./$(DEPDIR)
1365         -rm -f Makefile
1366 maintainer-clean-am: distclean-am maintainer-clean-generic
1367
1368 mostlyclean: mostlyclean-am
1369
1370 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1371         mostlyclean-libtool
1372
1373 pdf: pdf-am
1374
1375 pdf-am:
1376
1377 ps: ps-am
1378
1379 ps-am:
1380
1381 uninstall-am: uninstall-amincludeHEADERS uninstall-amlibLTLIBRARIES \
1382         uninstall-sbinPROGRAMS uninstall-sbinSCRIPTS
1383
1384 .MAKE: all check check-am install install-am install-strip
1385
1386 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am check-local \
1387         clean clean-amlibLTLIBRARIES clean-generic clean-libtool \
1388         clean-noinstPROGRAMS clean-sbinPROGRAMS ctags dist-hook \
1389         distclean distclean-compile distclean-generic \
1390         distclean-libtool distclean-tags distdir dvi dvi-am html \
1391         html-am info info-am install install-am \
1392         install-amincludeHEADERS install-amlibLTLIBRARIES install-data \
1393         install-data-am install-dvi install-dvi-am install-exec \
1394         install-exec-am install-html install-html-am install-info \
1395         install-info-am install-man install-pdf install-pdf-am \
1396         install-ps install-ps-am install-sbinPROGRAMS \
1397         install-sbinSCRIPTS install-strip installcheck installcheck-am \
1398         installcheck-local installdirs maintainer-clean \
1399         maintainer-clean-generic mostlyclean mostlyclean-compile \
1400         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1401         tags uninstall uninstall-am uninstall-amincludeHEADERS \
1402         uninstall-amlibLTLIBRARIES uninstall-sbinPROGRAMS \
1403         uninstall-sbinSCRIPTS
1404
1405
1406 # Perl
1407 %: %.pl $(top_builddir)/config.status
1408         $(top_builddir)/config.status --file=$@:$<
1409         chmod a+x $@
1410         @if test -f $(top_builddir)/perl/.libs/libCmdline.so -o -f $(top_builddir)/perl/libCmdline.so; then \
1411                 grep -v '^use lib' $@ > $@.nouselib; \
1412                 $(PERL) $(CHECK_PERL_FLAGS) -I$(top_builddir)/perl -I$(top_builddir)/perl/.libs -I$(top_srcdir)/perl -c -w -T $@.nouselib || exit 1; \
1413                 rm $@.nouselib; \
1414         fi
1415
1416 %.pl: %.pl.in $(top_builddir)/config.status
1417         $(top_builddir)/config.status --file=$@:$<
1418
1419 %.pm: %.pm.in $(top_builddir)/config.status
1420         $(top_builddir)/config.status --file=$@:$<
1421
1422 # Shell
1423 %: %.sh $(top_builddir)/config.status
1424         $(top_builddir)/config.status --file=$@:$<
1425         chmod a+x $@
1426
1427 %.sh: %.sh.in $(top_builddir)/config.status
1428         $(top_builddir)/config.status --file=$@:$<
1429
1430 # Awk
1431 %: %.awk $(top_builddir)/config.status
1432         $(top_builddir)/config.status --file=$@:$<
1433         chmod a+x $@
1434
1435 %.awk: %.awk.in $(top_builddir)/config.status
1436         $(top_builddir)/config.status --file=$@:$<
1437
1438 # syntax-check perl scripts on 'make check'
1439 check-perl: $(CHECK_PERL)
1440         @CHECK_PERL="$(CHECK_PERL)"; \
1441         if test -f $(top_builddir)/perl/.libs/libCmdline.so -o -f $(top_builddir)/perl/libCmdline.so; then \
1442                 if test -n "$(PERL)"; then \
1443                         for perlobj in $$CHECK_PERL; do \
1444                                 grep -v '^use lib' $$perlobj > $$perlobj.nouselib; \
1445                                 $(PERL) $(CHECK_PERL_FLAGS) -I$(top_builddir)/perl -I$(top_builddir)/perl/.libs -I$(top_srcdir)/perl -c -w -T $$perlobj.nouselib || exit 1; \
1446                                 rm $$perlobj.nouselib; \
1447                         done; \
1448                 fi \
1449         fi
1450 check-local: check-perl
1451
1452 # syntax-check perl scripts on 'make installcheck'
1453 installcheck-perl: $(CHECK_PERL)
1454         @CHECK_PERL="$(CHECK_PERL)"; \
1455         if test -n "$(PERL)"; then \
1456                 for perlobj in $$CHECK_PERL; do \
1457                         $(PERL) $(CHECK_PERL_FLAGS) -c -w -T $$perlobj || exit 1; \
1458                 done; \
1459         fi
1460 installcheck-local: installcheck-perl
1461 check-shell: $(CHECK_SHELL)
1462         @CHECK_SHELL="$(CHECK_SHELL)"; \
1463         if test -n "$$CHECK_SHELL"; then \
1464                 if test -n "$(BASH)"; then \
1465                         for shobj in $$CHECK_SHELL; do \
1466                                 if $(BASH) -n $$shobj; then \
1467                                         echo "$$shobj syntax OK"; \
1468                                 else \
1469                                         echo "$$shobj syntax error"; \
1470                                         exit 1; \
1471                                 fi; \
1472                         done; \
1473                 else \
1474                         echo "No 'bash' available -- cannot syntax-check shell scripts"; \
1475                 fi; \
1476         fi
1477 check-local: check-shell
1478
1479 # make sure that the sources for all shell and perl scripts get included
1480 # in the distribution
1481 dist-scripts:
1482         SCRIPTS_PERL="$(SCRIPTS_PERL)"; SCRIPTS_SHELL="$(SCRIPTS_SHELL)"; SCRIPTS_AWK="$(SCRIPTS_AWK)"; \
1483         for script in $$SCRIPTS_PERL; do \
1484                 test -f $(srcdir)/$${script}.pl && { cp -p $(srcdir)/$${script}.pl $(distdir)/ || exit 1; } \
1485         done; \
1486         for script in $$SCRIPTS_SHELL; do \
1487                 test -f $(srcdir)/$${script}.sh && { cp -p $(srcdir)/$${script}.sh $(distdir)/ || exit 1; } \
1488         done; \
1489         for script in $$SCRIPTS_AWK; do \
1490                 test -f $(srcdir)/$${script}.awk && { cp -p $(srcdir)/$${script}.awk $(distdir)/ || exit 1; } \
1491         done; \
1492         for script in $$SCRIPTS_SHELL $$SCRIPTS_PERL $$SCRIPTS_AWK; do \
1493                 test -f $(srcdir)/$${script}.in && { cp -p $(srcdir)/$${script}.in $(distdir)/ || exit 1; } \
1494         done; \
1495         true
1496 dist-hook: dist-scripts
1497
1498 # A rule to make precompiler output from C files.  This is not used during
1499 # ordinary builds, but but can very useful in debugging problems on strange
1500 # architectures.  With this rule, we can ask users to 'make foo.i' and send
1501 # the result to us.
1502 #
1503 # It touches some automake internals ($COMPILE), but since it's not
1504 # build-critical, that's OK.
1505 %.i : %.c
1506         $(COMPILE) -E -o $@ $<
1507
1508 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1509 # Otherwise a system limit (for SysV at least) may be exceeded.
1510 .NOEXPORT: